Gtk_Main(3)

NAME - Gtk_Main

HEADER REQUIRED
#include <gtk--/main.h&gt;>

BASE CLASSES
Gtk_Signal_Base(3)

PUBLIC MEMBER INDEX
    static Gtk_Main * instance();
    Gtk_Main(int *argc, char ***argv, bool have_locale=false);
    Gtk_Main(int &argc, char **&argv, bool have_locale=false);
    ~Gtk_Main();
    virtual void  run();
    virtual void  quit();
    virtual void  iteration();
    virtual gint  events_pending();
    static void  grab_add(const Gtk_Widget &widget);
    static void  grab_remove(const Gtk_Widget &widget);
    static Gtk_ObjectHandle  grab_get_current();
    static guint  key_snooper_install(GtkKeySnoopFunc snooper, gpointer	func_data);
    static void  key_snooper_remove(guint	snooper_handler_id);
    static void  gtk_true();
    static void  gtk_false();
    static Signal0_r & idle(gint priority = GTK_PRIORITY_DEFAULT);
    static Signal0_r & timeout(guint32 interval);
    static Signal0 & input(gint source, GdkInputCondition condition);

PROTECTED MEMBER INDEX
    static Gtk_Main * ins;
    Gtk_Main();

PRIVATE MEMBER INDEX
    static gint  idle_callback(gpointer data);
    static gint  timeout_callback(gpointer data);
    static void  input_callback(gpointer data, gint source, GdkInputCondition condition);
    static void  input_destroy(gpointer data);
    void  init_gtk(int *argc, char ***argv, bool have_locale);

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS